Zum Hauptinhalt springen
GET
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
reports
/
contacts
/
{contactType}
Kontakt-IDs abrufen
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/reports/contacts/{contactType} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/reports/contacts/{contactType}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/reports/contacts/{contactType}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "id": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

Die eindeutige ID der Kampagne

contactType
string
erforderlich

Der Kontakttyp, nach dem die Liste gefiltert werden soll

Abfrageparameter

after
string

Das Paginierungscursor-Token der zuletzt erfolgreich gelesenen Ressource wird als „paging.next.after“-JSON-Eigenschaft einer paginierten Antwort mit weiteren Ergebnissen zurückgegeben.

endDate
string

Das Enddatum für das Abrufen von Kontaktdaten im Format JJJJ-MM-TT. Optional. Beispiel: 2000-01-27

limit
integer<int32>

Die maximale Anzahl der Ergebnisse, die pro Seite angezeigt werden.

startDate
string

Das Startdatum für das Abrufen von Kontaktdaten im Format JJJJ-MM-TT.
Optional. Beispiel: 2000-01-20

Antwort

successful operation

results
object[]
erforderlich

Ein Array von Kontaktreferenzen, die jeweils eine ID für einen Kontakt enthalten.

paging
object
Zuletzt geändert am 1. April 2026